Subject: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Robert Pluim <[email-masked]>
Date: Thu, 08 Sep 2022 16:19:40 +0200

>>>>> On Thu, 08 Sep 2022 17:15:09 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Lars Ingebrigtsen <[email-masked]>
    >> Cc: [email-masked],  [email-masked],  [email-masked],
    >> [email-masked],  [email-masked]
    >> Date: Thu, 08 Sep 2022 16:11:32 +0200
    >> 
    >> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> > ??? We already added --timeout, so what do you mean by that?
    >> 
    >> I don't expect anybody to type --timeout either, but I can see that it
    >> might be useful when scripting, for instance.  --give-me-feedback, on
    >> the other hand, would never be used.

    Eli> I think there's some misunderstanding: I wasn't taking about anything
    Eli> called --give-me-feedback.

So if we set DEFAULT_TIMEOUT to 0, people who do nothing get no
messages, and people who do --timeout get messages. I think that
satisfies Eliʼs concern about compatibility (Iʼd even go so far as not
setting the timeout at all if itʼs not requested. Why yes, I am
paranoid about changing old code).

Robert
--